## muse 2.0~beta2

=== CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include(FindPkgConfig)
include(cmake/Summary.cmake)
include(cmake/TargetDoc.cmake)

project(muse)
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.1)
if (COMMAND cmake_policy)
      cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# set libdir if not use -DCMAKE_INSTALL_LIBDIR
if (NOT CMAKE_INSTALL_LIBDIR)
	SET(CMAKE_INSTALL_LIBDIR "${CMAKE_INSTALL_PREFIX}/lib")
endif (NOT CMAKE_INSTALL_LIBDIR)

IF(NOT DEFINED SHARE_INSTALL_PREFIX)
        SET(SHARE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/share")
ENDIF(NOT DEFINED SHARE_INSTALL_PREFIX)

#set(CMAKE_BUILD_TYPE debug)
#set(CMAKE_BUILD_TYPE release)

# If no CMAKE_BUILD_TYPE is given on the command line,
#  cmake either uses the cached value, or 'empty' (plain un-opt build). 
# And yet the only way a user can reset a cached CMAKE_BUILD_TYPE
#  is with "-DCMAKE_BUILD_TYPE=". So we cannot interfere with this.
# We should probably not attempt to do this at all.
# Installation instructions now updated to be more specific, give options.
#endif (NOT DEFINED CMAKE_BUILD_TYPE)
#if (NOT CMAKE_BUILD_TYPE)
#    message("No CMAKE_BUILD_TYPE specified. Setting to Release.")
#     set(CMAKE_BUILD_TYPE release)
#endif (NOT CMAKE_BUILD_TYPE)


# for debugging the make system uncomment next line:
#set(CMAKE_VERBOSE_MAKEFILE ON)

set(CMAKE_INCLUDE_CURRENT_DIR TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)

# The MusE version number.
SET(MusE_VERSION_MAJOR 2)
SET(MusE_VERSION_MINOR 0)
SET(MusE_VERSION_PATCH 0)
SET(MusE_VERSION       "2.0beta2")
SET(MusE_VERSION_FULL  "2.0beta2")
SET(MusE_INSTALL_NAME  "muse-2.0beta")
SET(MusE_EXEC_NAME     "muse2")

## The directory where we will install the shared components:
SET(MusE_MODULES_DIR ${CMAKE_INSTALL_LIBDIR}/${MusE_INSTALL_NAME}/modules)

## Synthesizers directory
SET(MusE_SYNTHI_DIR ${CMAKE_INSTALL_LIBDIR}/${MusE_INSTALL_NAME}/synthi)

## Plugins directory
SET(MusE_PLUGINS_DIR ${CMAKE_INSTALL_LIBDIR}/${MusE_INSTALL_NAME}/plugins)

## Top documentation dir
IF(NOT DEFINED MusE_DOC_DIR)
      SET(MusE_DOC_DIR ${SHARE_INSTALL_PREFIX}/doc/${MusE_INSTALL_NAME}/)
ENDIF(NOT DEFINED MusE_DOC_DIR)

## Data directory
SET(MusE_SHARE_DIR ${SHARE_INSTALL_PREFIX}/${MusE_INSTALL_NAME})

## Lib directory
SET(MusE_LIB_DIR ${CMAKE_INSTALL_LIBDIR}/${MusE_INSTALL_NAME})

FIND_PROGRAM(SVNVER svnversion)
if (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
      SET (MusE_SVNVER 0)
else (${SVNVER} STREQUAL "SVNVER-NOTFOUND")
      EXEC_PROGRAM( svnversion
            ARGS ${PROJECT_SOURCE_DIR}
            OUTPUT_VARIABLE MusE_SVNVER )
endif (${SVNVER} STREQUAL "SVNVER-NOTFOUND")

# Do we need this? - Orcan:
# include ( ${PROJECT_SOURCE_DIR}/cmake/WrapMacros.cmake)

option ( ENABLE_LASH        "enable LASH Audio Session Handler"                              ON)
option ( ENABLE_OSC         "enable Open Sound Control (DSSI also recommended)"              ON)   
option ( ENABLE_DSSI        "enable Disposable Soft Synth Interface (OSC also recommended)"  ON)
option ( ENABLE_VST         "enable VST/win support"                                         OFF)
option ( ENABLE_FLUID       "enable fluidsynth softsynth plugins"                            ON)
option ( ENABLE_EXPERIMENTAL "enable building experimental features"                         OFF)
option ( UPDATE_TRANSLATIONS "Update source translation share/locale/*.ts files 
         (WARNING: This will modify the .ts files in the source tree!!)"                     OFF)
option ( MODULES_BUILD_STATIC "Build type of internal modules"                               OFF)

if ( MODULES_BUILD_STATIC )
      SET(MODULES_BUILD STATIC )
else ( MODULES_BUILD_STATIC )
      SET(MODULES_BUILD SHARED )
      SET(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
      SET(CMAKE_INSTALL_RPATH ${MusE_MODULES_DIR})
endif ( MODULES_BUILD_STATIC )

##
## Just print a notice if this is OS X
##
if (APPLE)
	message("OS X found.")
else (APPLE)
	if (UNIX)
		message("Unix (probably linux) found")
	endif(UNIX)

endif (APPLE)

##
##  look for Qt4
##

set(QT_MIN_VERSION "4.3.0")
set(QT_USE_QTXML TRUE)
set(QT_USE_QTDESIGNER TRUE)
set(QT_USE_QTNSPLUGIN TRUE)
set(QT_USE_QTSVG TRUE)

find_package(Qt4)

if (NOT QT4_FOUND)
      message(FATAL_ERROR "Fatal error: QT (version >= 4.3.0) required.\n"
      "Cmake tries to detect QT4 by searching for 'qmake' in your PATH\n"
      "If you have QT4 installed, make sure qmake is found in your PATH."
      )
endif (NOT QT4_FOUND)

# Needed for plugins factory:
SET(QT_USE_QTUITOOLS TRUE)

include(${QT_USE_FILE})


##
## find doxygen
##    TODO

##
## alsa >= 0.9.0
##

if (APPLE)
	message("Disabling ALSA support due to OS X build.")
else (APPLE)
PKG_CHECK_MODULES(ALSA REQUIRED alsa>=0.9.0)
include_directories(${ALSA_INCLUDE_DIRS})
endif (APPLE)

##
## find sndfile >= 1.0.0
##

PKG_CHECK_MODULES(SNDFILE REQUIRED sndfile>=1.0.0)
include_directories(${SNDFILE_INCLUDE_DIRS})

##
## find libsamplerate >= 0.1.0
##

PKG_CHECK_MODULES(SAMPLERATE REQUIRED samplerate>=0.1.0)
include_directories(${SAMPLERATE_INCLUDE_DIRS})

##
## find libuuid 
##

PKG_CHECK_MODULES(UUID REQUIRED uuid>=0.0.1)
include_directories(${UUID_INCLUDE_DIRS})

##
## find jack >= 0.103.0
##

PKG_CHECK_MODULES(JACK REQUIRED jack>=0.103)
include_directories(${JACK_INCLUDE_DIRS})

##
## find LASH 
##

if (ENABLE_LASH)
      PKG_CHECK_MODULES(LASH lash-1.0>=0.2)
      if (LASH_FOUND)
            include_directories(${LASH_INCLUDE_DIRS})
            set(HAVE_LASH ON)
      endif (LASH_FOUND)           
else (ENABLE_LASH)
      message("LASH disabled")
endif (ENABLE_LASH)

##
## check for liblo >= 0.23
##

if (ENABLE_OSC)
      PKG_CHECK_MODULES(LIBLO liblo>=0.23)
      if (LIBLO_FOUND)
            include_directories(${LIBLO_INCLUDE_DIRS})
            set(OSC_SUPPORT ON)
      endif (LIBLO_FOUND)
else (ENABLE_OSC)
      message("OSC disabled")
endif (ENABLE_OSC)

##
## check for dssi >= 0.9.0
##

if (ENABLE_DSSI)
      PKG_CHECK_MODULES(DSSI dssi>=0.9.0)
      if (DSSI_FOUND)
            include_directories(${DSSI_INCLUDE_DIRS})
            set(DSSI_SUPPORT ON)
      endif (DSSI_FOUND)
else (ENABLE_DSSI)
      message("DSSI disabled")
endif (ENABLE_DSSI)

if (ENABLE_VST)
      message("VST support enabled")
      set (VST_SUPPORT TRUE)
else (ENABLE_VST)
      message("VST support disabled")
      set (VST_SUPPORT FALSE)
endif (ENABLE_VST)

##
## TODO
##
## Optimizations
##

SET (USE_SSE false)

##
## check for fluidsynth
##

if ( ENABLE_FLUID )
      # Be careful with naming here since we have two shared synth libraries
      #  to be built later, named 'fluidsynth' and 'fluid' !
      PKG_CHECK_MODULES(FLUIDSYN fluidsynth>=0.9.0)
      if (FLUIDSYN_FOUND)
            include_directories(${FLUIDSYN_INCLUDE_DIRS})
            set(HAVE_FLUIDSYNTH ON)
            # message("FLUIDSYN_LIBRARIES " ${FLUIDSYN_LIBRARIES} )          # "fluidsynth"
            # message("FLUIDSYN_LDFLAGS " ${FLUIDSYN_LDFLAGS} )              # "-lfluidsynth"
            # message("FLUIDSYN_LDFLAGS_OTHER " ${FLUIDSYN_LDFLAGS_OTHER} )  # empty
            # message("FLUIDSYN_INCLUDE_DIRS " ${FLUIDSYN_INCLUDE_DIRS} )    # empty
            # message("FLUIDSYN_CFLAGS " ${FLUIDSYN_CFLAGS} )                # empty
            # message("FLUIDSYN_CFLAGS_OTHER " ${FLUIDSYN_CFLAGS_OTHER} )    # empty
      endif (FLUIDSYN_FOUND)
else ( ENABLE_FLUID )
      message("Fluidsynth disabled")
endif ( ENABLE_FLUID )

if ( ENABLE_EXPERIMENTAL )
      set(CMAKE_CXX_FLAGS -DBUILD_EXPERIMENTAL ${CMAKE_CXX_FLAGS})
endif ( ENABLE_EXPERIMENTAL )

#
# produce config.h file
#
configure_file (
      ${PROJECT_SOURCE_DIR}/config.h.in
      ${PROJECT_BINARY_DIR}/config.h
      )

add_custom_command(
      OUTPUT ${PROJECT_BINARY_DIR}/all.h
      COMMAND cp ${PROJECT_SOURCE_DIR}/all.h ${PROJECT_BINARY_DIR}/all.h
      DEPENDS ${PROJECT_SOURCE_DIR}/all.h
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
      )

add_custom_command(
      OUTPUT ${PROJECT_BINARY_DIR}/all-pic.h
      COMMAND cp ${PROJECT_SOURCE_DIR}/all.h ${PROJECT_BINARY_DIR}/all-pic.h
      DEPENDS ${PROJECT_SOURCE_DIR}/all.h
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
      )

add_custom_command(
      OUTPUT ${PROJECT_BINARY_DIR}/all-pic-debug.h
      COMMAND cp ${PROJECT_SOURCE_DIR}/all.h ${PROJECT_BINARY_DIR}/all-pic-debug.h
      DEPENDS ${PROJECT_SOURCE_DIR}/all.h
      WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
      )

include_directories(
   .
   ${PROJECT_SOURCE_DIR}
   ${PROJECT_SOURCE_DIR}/muse
   ${PROJECT_SOURCE_DIR}/muse/widgets
   ${PROJECT_BINARY_DIR}
   ${PROJECT_BINARY_DIR}/muse
   ${PROJECT_BINARY_DIR}/muse/widgets
   ${PROJECT_BINARY_DIR}/muse/instruments
   ${PROJECT_BINARY_DIR}/muse/ctrl
   )

# include (pch.txt)

#
# If the cmake version includes cpack, use it
#
IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

  IF(EXISTS "${CMAKE_ROOT}/Modules/InstallRequiredSystemLibraries.cmake")
      SET(CMAKE_INSTALL_MFC_LIBRARIES 1)
      INCLUDE(InstallRequiredSystemLibraries)
  ENDIF(EXISTS "${CMAKE_ROOT}/Modules/InstallRequiredSystemLibraries.cmake")

  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "MusE is a virtual audio studio environment")
  SET(CPACK_PACKAGE_VENDOR "Werner Schweer and others")
  SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
  SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
  SET(CPACK_PACKAGE_VERSION_MAJOR "${MusE_VERSION_MAJOR}")
  SET(CPACK_PACKAGE_VERSION_MINOR "${MusE_VERSION_MINOR}")
  SET(CPACK_PACKAGE_VERSION_PATCH "${MusE_VERSION_PATCH}")
  SET(CPACK_PACKAGE_INSTALL_DIRECTORY "CMake ${CMake_VERSION_MAJOR}.${CMake_VERSION_MINOR}")
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${MusE_INSTALL_NAME}")

  # Don't pack the binary tree and the subversion directories
  SET(CPACK_SOURCE_IGNORE_FILES "/\\\\.svn/;${CMAKE_BINARY_DIR}/*")

  SET(CPACK_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})

  SET(CPACK_PACKAGE_FILE_NAME "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${CPACK_SYSTEM_NAME}")
  SET(CPACK_STRIP_FILES "bin/muse;bin/grepmidi")
  SET(CPACK_PACKAGE_EXECUTABLES "muse" "MusE" "grepmidi" "grepmidi")
  INCLUDE(CPack)
ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

set(CMAKE_CXX_FLAGS         "-Wall -Wextra -Winvalid-pch -fno-exceptions -fPIC ${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS_RELEASE "-O2 -fomit-frame-pointer -ffast-math -fstrength-reduce -fPIC ${CMAKE_CXX_FLAGS_RELEASE}")
set(CMAKE_CXX_FLAGS_DEBUG   "-g -DQT_DEBUG -fPIC ${CMAKE_CXX_FLAGS_DEBUG}")

# subdirs(al awl grepmidi plugins midiplugins muse share synti)
# subdirs(al lib grepmidi plugins xpm muse share demos doc synti utils)
#subdirs(al lib grepmidi plugins muse share demos synti )
# NOTE: share/ directory needs to be at the end so that the translations
#       are scanned before coming to share/locale
subdirs(al awl grepmidi man plugins muse synti packaging utils demos share)

## Install doc files
file (GLOB doc_files
      AUTHORS
      ChangeLog
      COPYING
      NEWS
      README
      README.de
      README.effects-rack
      README.instruments
      README.ladspaguis
      README.shortcuts
      README.softsynth
      README.translate
      SECURITY
      )
INSTALL( FILES ${doc_files} DESTINATION ${MusE_DOC_DIR})

## Uninstall support
configure_file(

=== al/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include(${PROJECT_SOURCE_DIR}/pch.txt)

##
## List of source files to compile
##
file (GLOB al_source_files
      al.cpp
      dsp.cpp
      sig.cpp
      xml.cpp
      )
if (USE_SSE)
      file (GLOB al_source_files
      ${al_source_files}
      dspSSE.cpp
      dspXMM.cpp
      )
endif (USE_SSE)

##
## Define target
##
add_library(al ${MODULES_BUILD}
      ${PROJECT_BINARY_DIR}/all.h.pch
      ${al_source_files}
      )

##
## Compilation flags and target name
##
set_target_properties( al
      PROPERTIES OUTPUT_NAME muse_al
      )
set_source_files_properties(
      al.cpp
      dsp.cpp 
      dspXMM.cpp
      sig.cpp
      xml.cpp
      PROPERTIES COMPILE_FLAGS "-include ${PROJECT_BINARY_DIR}/all.h"
      )
set_source_files_properties(
      dspSSE.cpp
      PROPERTIES COMPILE_FLAGS "-x assembler"
      )

##
## Linkage
##
target_link_libraries ( al
      ${QT_LIBRARIES}
      )

##
## Install location
##
if ( ${MODULES_BUILD} STREQUAL SHARED )
      install(TARGETS al 
            DESTINATION ${MusE_MODULES_DIR}
            )
endif ( ${MODULES_BUILD} STREQUAL SHARED )

=== awl/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

##
## Expand Qt macros in source files
##
QT4_WRAP_CPP (awl_mocs
      aslider.h
      # awlplugin.h
      checkbox.h
      combobox.h
      drawbar.h
      floatentry.h
      knob.h
      midimeter.h
      midimslider.h
      midipanentry.h
      midipanknob.h
      midivolentry.h
      mslider.h
      panentry.h
      panknob.h
      pitchedit.h
      pitchlabel.h
      posedit.h
      # poslabel.h
      sigedit.h
      slider.h
      # tcanvas.h
      tempoedit.h
      tempolabel.h
      volentry.h
      volknob.h
      volslider.h
      )

##
## List of source files to compile
##
file (GLOB awl_source_files
      aslider.cpp
      awl.cpp
      # awlplugin.cpp
      checkbox.cpp
      combobox.cpp
      drawbar.cpp
      floatentry.cpp
      knob.cpp
      # ltest.cpp
      midimeter.cpp
      midimslider.cpp
      midipanentry.cpp
      midipanknob.cpp
      midivolentry.cpp
      mslider.cpp
      panentry.cpp
      panknob.cpp
      pitchedit.cpp
      pitchlabel.cpp
      posedit.cpp
      # poslabel.cpp
      sigedit.cpp
      slider.cpp
      # tcanvas.cpp
      tempoedit.cpp
      tempolabel.cpp
      utils.cpp
      volentry.cpp
      volknob.cpp
      volslider.cpp
      )

##
## Define target
##
add_library ( awl ${MODULES_BUILD}
      ${awl_source_files}
      ${awl_mocs}
      )

##
## Append to the list of translations
##
set (FILES_TO_TRANSLATE
      ${FILES_TO_TRANSLATE}
      ${awl_source_files}
      CACHE INTERNAL ""
      )

##
## Compilation flags and target name
##
set_target_properties( awl
      PROPERTIES COMPILE_FLAGS "-include ${PROJECT_BINARY_DIR}/all.h"
      OUTPUT_NAME muse_awl
      )

##
## Linkage
##
target_link_libraries ( awl
      ${QT_LIBRARIES}
      al
      )

##
## Install location
##
if ( ${MODULES_BUILD} STREQUAL SHARED )
      install(TARGETS awl
            DESTINATION ${MusE_MODULES_DIR}
            )
endif ( ${MODULES_BUILD} STREQUAL SHARED )

=== demos/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

file (GLOB med_files *.med)

install( FILES ${med_files}
      DESTINATION ${MusE_SHARE_DIR}/demos
      )

=== grepmidi/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

##
## List of source files to compile
##
file (GLOB grepmidi_source_files
      grepmidi.cpp
      )

##
## Define target
##
add_executable ( grepmidi
      ${grepmidi_source_files}
      )

##
## Install location
##
install(TARGETS grepmidi 
      DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
      )

=== man/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

#
# produce the manpages
#
configure_file (
      muse.1.in
      ${PROJECT_BINARY_DIR}/man/${MusE_EXEC_NAME}.1
      )
configure_file (
      grepmidi.1.in
      ${PROJECT_BINARY_DIR}/man/grepmidi.1
      )

install( FILES 
      ${PROJECT_BINARY_DIR}/man/${MusE_EXEC_NAME}.1
      ${PROJECT_BINARY_DIR}/man/grepmidi.1
      DESTINATION ${SHARE_INSTALL_PREFIX}/man/man1/
      )

=== muse/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include(${PROJECT_SOURCE_DIR}/pch.txt)

include_directories(
      ${CMAKE_CURRENT_BINARY_DIR}
      )

set (SubDirs 
      arranger 
      cliplist 
      ctrl
      driver
      instruments
      liste
      marker
      master
      midiedit
      mixer
      mplugins      
      waveedit
      widgets
      )

if (ENABLE_PYTHON)
      set ( PYREM_CPP_FLAGS "-DENABLE_PYTHON" )
      set ( PYLIBS ${PYTHON_LIB} remote) 
      set ( SubDirs ${SubDirs} remote )
endif (ENABLE_PYTHON)

subdirs (${SubDirs})

##
## Expand Qt macros in source files
##
QT4_WRAP_CPP ( muse_moc_headers
      app.h 
      appearance.h
      cobject.h 
      conf.h 
      confmport.h 
      midieditor.h 
      miditransform.h 
      plugin.h 
      song.h 
      transport.h 
      transpose.h 
      value.h 
      )

##
## Resource files
##
QT4_ADD_RESOURCES (muse_qrc_files 
		  muse.qrc
		  )

file (GLOB core_source_files
      app.cpp
      appearance.cpp
      audio.cpp
      audioconvert.cpp
      audioprefetch.cpp
      audiotrack.cpp
      cobject.cpp
      conf.cpp
      confmport.cpp
      controlfifo.cpp
      ctrl.cpp
      dssihost.cpp 
      event.cpp
      eventlist.cpp 
      exportmidi.cpp 
      gconfig.cpp 
      globals.cpp
      help.cpp 
      helper.cpp
      importmidi.cpp 
      key.cpp
      keyevent.cpp
      memory.cpp 
      midi.cpp
      midictrl.cpp
      mididev.cpp 
      midieditor.cpp
      midievent.cpp 
      midifile.cpp 
      midiport.cpp
      midiseq.cpp
      miditransform.cpp
      mpevent.cpp
      mtc.cpp
      node.cpp
      osc.cpp
      part.cpp
      plugin.cpp
      pos.cpp
      route.cpp
      seqmsg.cpp 
      shortcuts.cpp 
      sig.cpp
      song.cpp
      songfile.cpp 
      stringparam.cpp
      sync.cpp
      synth.cpp  
      tempo.cpp
      thread.cpp
      ticksynth.cpp 
      track.cpp
      transport.cpp
      transpose.cpp
      undo.cpp
      value.cpp
      vst.cpp
      wave.cpp
      waveevent.cpp 
      wavetrack.cpp 
      xml.cpp
      )
file (GLOB main_source_files
      main.cpp
      )
file (GLOB icons_source_files
      icons.cpp
      )

##
## Define target
##
add_library ( core ${MODULES_BUILD}
      ${muse_qrc_files}
      ${muse_moc_headers}
      ${core_source_files}
      )
add_executable ( muse
      ${main_source_files}
      )
add_library ( icons ${MODULES_BUILD}
      ${icons_source_files}
      )

set (FILES_TO_TRANSLATE
      ${FILES_TO_TRANSLATE}
      ${main_source_files}
      ${core_source_files}
      CACHE INTERNAL ""
      )

##
## Directories that will be passed to the compiler with -I flag
##
include_directories (
      arranger
      driver
      instruments
      liste
      midiedit
      mixer
      mplugins
      remote
      waveedit
      widgets
      )

# Make sure to include the uic generated headers paths.
include_directories(
      ${CMAKE_CURRENT_BINARY_DIR}/arranger
      ${CMAKE_CURRENT_BINARY_DIR}/driver
      ${CMAKE_CURRENT_BINARY_DIR}/instruments
      ${CMAKE_CURRENT_BINARY_DIR}/liste
      ${CMAKE_CURRENT_BINARY_DIR}/midiedit
      ${CMAKE_CURRENT_BINARY_DIR}/mixer
      ${CMAKE_CURRENT_BINARY_DIR}/mplugins 
      ${CMAKE_CURRENT_BINARY_DIR}/remote
      ${CMAKE_CURRENT_BINARY_DIR}/waveedit
      ${CMAKE_CURRENT_BINARY_DIR}/widgets 
      )

##
## Compilation flags and target name
##
set_target_properties( core
      # PROPERTIES COMPILE_FLAGS "-include ${PROJECT_BINARY_DIR}/all.h"
      # PROPERTIES COMPILE_FLAGS "-Imidiedit -Iarranger -Iliste -Iwidgets -Imixer -Idriver -Iwaveedit -Implugins -Iinstruments -Iremote ${PYREM_CPP_FLAGS} -include ${PROJECT_BINARY_DIR}/all.h "
      # PROPERTIES COMPILE_FLAGS "${PYREM_CPP_FLAGS} -DINSTPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' -DINSTLIBDIR='\"${LIBRARY_OUTPUT_DIRECTORY}\"' -include ${PROJECT_BINARY_DIR}/all.h "
      PROPERTIES COMPILE_FLAGS "${PYREM_CPP_FLAGS} -include ${PROJECT_BINARY_DIR}/all.h"
      OUTPUT_NAME muse_core
      )
set_target_properties( muse
      PROPERTIES OUTPUT_NAME ${MusE_EXEC_NAME}
      )
set_target_properties( icons
      PROPERTIES OUTPUT_NAME muse_icons
      )

##
## Linkage
##
target_link_libraries(core
      al      
      arranger 
      awl
      cliplist
      ctrl
      driver
      icons
      instruments
      liste
      marker
      master
      midiedit
      mixer
      mplugins
      synti       
      waveedit
      widgets 
      
      ${QT_LIBRARIES}
      ${SNDFILE_LIBRARIES}
      ${SAMPLERATE_LIBRARIES}
      ${UUID_LIBRARIES}
      ${PYLIBS}
      ${FST_LIB}
      dl
      )

if(HAVE_LASH)
      target_link_libraries(core ${LASH_LIBRARIES})
endif(HAVE_LASH)

if(OSC_SUPPORT)
      target_link_libraries(core ${LIBLO_LIBRARIES})
endif(OSC_SUPPORT)

target_link_libraries(muse
      midiedit
      core
      )	

target_link_libraries(icons
      ${QT_LIBRARIES}
      )	

##
## Install location
##
install( TARGETS muse 
      RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin/
      )
if ( ${MODULES_BUILD} STREQUAL SHARED )
      install(TARGETS core icons
            DESTINATION ${MusE_MODULES_DIR}
            )
endif ( ${MODULES_BUILD} STREQUAL SHARED )

=== packaging/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

#
# produce the .desktop file
#
configure_file (
      muse.desktop.in
      ${PROJECT_BINARY_DIR}/packaging/muse.desktop
      )

#
# install the desktop and mime files
#
install( FILES muse_icon.png
      DESTINATION ${SHARE_INSTALL_PREFIX}/icons/hicolor/64x64/apps/
      )
install( FILES ${PROJECT_BINARY_DIR}/packaging/muse.desktop
      DESTINATION ${SHARE_INSTALL_PREFIX}/applications/
      )
install( FILES muse.xml
      DESTINATION ${SHARE_INSTALL_PREFIX}/mime/packages/
      )

=== plugins/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

subdirs( freeverb doublechorus pandelay )

=== share/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

# NOTE: locale/ directory needs to be at the end so that the translations
#       are scanned before coming to share/locale
subdirs(
      drummaps
      html
      instruments
      plugins
      pybridge
      scripts
      templates
      wallpapers
      scoreglyphs
      locale
      )

# We don't have a splash image for MusE2 yet. When we do, the
# following line can be uncommented:
#install (FILES splash.png DESTINATION ${MusE_SHARE_DIR} )

=== synti/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include_directories(
   .
   ${CMAKE_CURRENT_BINARY}
   ${PROJECT_SOURCE_DIR}
   ${PROJECT_SOURCE_DIR}/muse
   ${PROJECT_SOURCE_DIR}/muse/widgets
   ${PROJECT_SOURCE_DIR}/synti
   )

set (SubDirs
      deicsonze
      # deicsonze2
      libsynti
      organ
      # simpledrums
      simpledrums2
      vam
      )

if (ENABLE_EXPERIMENTAL)
      set (SubDirs ${SubDirs} s1 )
endif (ENABLE_EXPERIMENTAL)

if (HAVE_FLUIDSYNTH)
      set (SubDirs ${SubDirs} fluid fluidsynth )
endif (HAVE_FLUIDSYNTH)

subdirs(${SubDirs})

=== utils/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2006 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

file(GLOB utils_files
      muse-find-unused-wavs
      muse-song-convert.py
      )

install (PROGRAMS ${utils_files}
      DESTINATION ${MusE_SHARE_DIR}/utils/
      )

## muse 1.1

=== debian/changelog ===
muse (1.1-0ubuntu6) oneiric; urgency=low

  * Revert:
    - added -ljackserver to LDFLAGS to fix a FTBFS because of --as-needed
  * Fix link order linking muse. LP: #831081.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 17:37:19 +0200

muse (1.1-0ubuntu5) oneiric; urgency=low

  * No-change rebuild for fluidsynth transition (LP: #821346)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 05 Aug 2011 18:24:27 +0200

muse (1.1-0ubuntu4) oneiric; urgency=low

  * Fix FTBFS with GCC4.6 (LP: #770801).
  * Drop LASH support (LP: #791084).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Jun 2011 15:58:28 +0200

muse (1.1-0ubuntu3) natty; urgency=low

  * Drop ladcca support since it's superseded by LASH, obsolete and abandoned
    upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 08 Dec 2010 02:00:50 +0100

muse (1.1-0ubuntu2) natty; urgency=low

  * debian/rules: added -lrt for armel platform. This fixes a FTBFS in armel.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 24 Nov 2010 07:06:30 +0000

muse (1.1-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #668631)
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh7 short form
  * debian/rules:
    - added --enable-dssi and --enable-osc to conf flags for dssi support
    - added -ljackserver to LDFLAGS to fix a FTBFS because of --as-needed
  * debian/control:
    - added build build dependency on liblo-dev and dssi-dev for dssi support
    - bump Standards-version to 3.9.1. No changes required.
  * debian/muse.desktop, debian/muse.xpm: dropped as desktop file and icon is
    now shipped upstream.
  * fix-desktop-categories.patch: fix Categories tag in upstream desktop file
  * 10_es_locale_fix.dpatch: refreshed and converted to quilt as
    fix_es_locale.patch

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 17 Nov 2010 21:43:38 +0100

muse (1.0.1-0ubuntu5) maverick; urgency=low

  * Rebuild for liblash soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Sep 2010 09:56:45 +0000

muse (1.0.1-0ubuntu4) maverick; urgency=low

  * No-change rebuild against new FluidSynth.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 15 Sep 2010 11:28:43 +0200

muse (1.0.1-0ubuntu3) maverick; urgency=low

  * No changes upload for liblash2 -> liblash3 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 11 Sep 2010 09:28:19 +0200

muse (1.0.1-0ubuntu2) maverick; urgency=low

  * No-change rebuild for jack transition

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 21 Jul 2010 12:48:17 +0200

muse (1.0.1-0ubuntu1) lucid; urgency=low

  [ Eric Hedekar ]
  * New upstream version (LP: #479688)
  * Removed patches that were fixed in upstream source
    -[10_64bit_memcorruption_fix]
    -[10_gcc43_build_fixes]
    -[10_lash_private_api_fix]
    -[10_log2f_aliasing_fix]
    -[10_vamgui_init_fix]
    -[20_fix_const]

  [ Fabrice Coutadeur ]
  * debian/watch: added watch file
  * debian/muse.desktop: deleted deprecated Encoding key, Application category
    and icon extension. This fix several warning with lintian and
    desktop-file-validate

 -- Eric Hedekar <afterthebeep@gmail.com>  Tue, 26 Jan 2010 02:32:14 -0800

muse (0.8.1a-7) unstable; urgency=high

  * Added patches:
    + [10_64bit_memcorruption_fix] New.
      Fix memory corruption in Pool allocator on 64bit architectures.
      Closes: #558285
    + [10_es_locale_fix] New.
      Fix character encoding in Spanish localization file. Patch thanks
      to Christian Perrier. Closes: #415304

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 19:04:05 +0100

muse (0.8.1a-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Get ready for being built with GCC 4.4.
    Thanks to Stefan Potyra for the patch
    Closes: #548468

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 Sep 2009 08:18:22 +0200

muse (0.8.1a-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libjack-dev. Closes: #527418
  * Bump debhelper compatibility to 7 (4 is outdated)
  * Replace deprecated "dh_clean -k" by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #502471
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512977
    - Vietnamese (Clytie Siddall).  Closes: #513669

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Sep 2009 19:53:22 +0200

muse (0.8.1a-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491951
    - Russian. Closes: #501474
    - Basque. Closes: #501611
    - Arabic. Closes: #501633
    - Finnish. Closes: #501711

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Oct 2008 07:15:10 +0200

muse (0.8.1a-6) unstable; urgency=low

  * Added patches:
    + [10_gcc43_build_fixes] New.
      Add various includes to fix build failures with g++ 4.3. Extended
      version of original patch by Martin Michlmayr. Closes: #417452
  * debian/control: Package complies with version 3.7.3 of Debian policy.
  * debian/copyright: Recode as UTF-8.
  * debian/menu: Move section from "Apps" to current "Applications".
  * debian/muse.doc-base: Register documentation in section "Sound".
  * debian/po/nl.po: Add Dutch translation of debconf messages.
    Closes: #418901
  * debian/rules: No longer ignore all errors from make clean.
  * debian/rules: Forcibly convince libtool to not generate an rpath entry
    on 64bit platforms.
  * debian/rules: Specify corrent directory to wipe backup file .muse.bin.bak
    from. Fixes errors when building package twice in a row. Closes: #424585

 -- Daniel Kobras <kobras@debian.org>  Sun, 09 Mar 2008 15:33:08 +0100

muse (0.8.1a-5) unstable; urgency=low

  * Added patches:
    + [10_lash_private_api_fix] New.
      Don't use functions from LASH's internal API. Fixes build errors
      with recent liblash. Closes: #431327

 -- Daniel Kobras <kobras@debian.org>  Wed, 11 Jul 2007 20:11:14 +0200

muse (0.8.1a-4) unstable; urgency=low



=== debian/control ===
Source: muse
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libqt3-mt-dev,
 libasound2-dev,
 libsndfile1-dev,
 libjack-dev,
 libfluidsynth-dev (>> 1.0.3-5),
 libsamplerate0-dev,
 uuid-dev,
 autotools-dev,
 liblo-dev,
 dssi-dev
Standards-Version: 3.9.1

Package: muse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: jackd, cmt
Description: Qt-based midi/audio sequencer
 MusE is a MIDI/audio sequencer with recording and editing capabilities.
 Some Highlights:
 . 
  - standard midifile (smf) import-/export 
  - organizes songs in tracks and parts which you can arrange with 
    the part editor 
  - midi editors: pianoroll, drum, list, controller 
  - score editor with high quality postscript printer output 
  - realtime: editing while playing 
  - unlimited number of open editors 
  - unlimited undo/redo 
  - realtime and step-recording 
  - multiple midi devices 
  - unlimited number of tracks 
  - Sync to external devices:
    MTC/MMC, Midi Clock, Master/Slave (currently only partially implemented) 
  - audio tracks, LADSPA host for master effects 
  - multithreaded 
  - uses raw midi devices (ALSA & serial ports..., OSS was dropped) 
  - XML project file 
  - project file contains complete app state (session data) 
  - Application spanning Cut/Paste Drag/Drop

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

muse_confflags = --disable-qttest --disable-suid-build --enable-dssi --enable-osc
muse_confflags += --prefix=/usr

export QTDIR=/usr/share/qt3
muse_confflags += --with-qt-libraries=/usr/lib/qt3 --with-qt-includes=/usr/include/qt3

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(muse_confflags)

override_dh_install:
	dh_auto_install

	# move html documentation to the correct directory
	mv $(CURDIR)/debian/muse/usr/share/muse/html \
	  $(CURDIR)/debian/muse/usr/share/doc/muse
	dh_link usr/share/doc/muse/html usr/share/muse/html

	dh_install debian/muse-song-convert.py usr/bin
	mv $(CURDIR)/debian/muse/usr/bin/muse-song-convert.py \
	  $(CURDIR)/debian/muse/usr/bin/muse-song-convert

override_dh_installchangelogs:
	# overriden to install upstream changelog 
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc)/~$1/ \
http://sf.net/lmuse/muse-(.*)\.tar\.gz

## muse 2.0~beta2

=== debian/changelog ===
muse (2.0~beta2-2) unstable; urgency=low

  * Add patch to prevent FTBFS due to GCC's harden'd flags.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Oct 2011 11:00:24 +0200

muse (2.0~beta2-1) unstable; urgency=low

  * New maintainer (see bug 637185#12), thanks Daniel!
  * New upstream release (Closes: #627371):
    - New interface Qt4-based (Closes: #604584)
  * Refresh packaging:
    - Move to DH7 and source format 3.0 (quilt).
    - Refresh patchset.
    - Fix a bunch lintian warnings.
    - debian/postinst:
      + Use set -e in the body rather than pass -e on the #! line to make it
        have actually effect if it is run by hand with "sh /path/to/script".
    - Update instructions on how-to increase RTC clock frequency.
      Thanks to Torquil Macdonald Sørensen for the report (Closes: #570833).
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Aug 2011 11:16:41 +0200

muse (0.8.1a-7.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Alessio Treglia ]
  * debian/control, debian/rules:
    - Drop LASH support (Closes: #628945).
  * debian/rules:
    - Do not ship *.la file (Closes: #622424).
  * debian/patches/30_gcc46.dpatch:
    - Fix FTBFS with gcc-4.6 (Closes: #628949)

  [ Luca Falavigna ]
  * debian/patches/30_whole-archive.dpatch:
    - Handle --whole-archive as a linker flag.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 18 Jun 2011 12:45:40 +0200

muse (0.8.1a-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Removed ladcca-dev from Build-Dependencies (Closes: #606283)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 10 Dec 2010 21:07:59 +0100

=== debian/watch ===
version=3
opts=uversionmangle=s/(alpha|beta)/~$1/ \
http://sf.net/lmuse/muse-(.*)\.tar\.gz
